/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbContextObj {

	// コンテキストID
	private long context_id;
	// コンテキストタイプ
	private String context_type;
	// コンテキスト名
	private String context_name;
	// コンテキスト要素名
	private String name;
	// エンティティID
	private long entity_id;
	// 会計年度
	private int fiscal_year;
	// 期首日
	private String period_start_date;
	// 期末日
	private String period_end_date;
	// PRECISION属性値
	private int item_precision;
	// CWA属性値
	private int item_cwa;
	// UNITフラグ
	private int unit_flag;
	// 備考
	private String description;
	// 作成日
	private Date creation_date;

	/**
	 * @return context_id
	 */
	public long getContext_id() {
		return context_id;
	}
	/**
	 * @param context_id 設定する context_id
	 */
	public void setContext_id(long context_id) {
		this.context_id = context_id;
	}
	/**
	 * @return context_name
	 */
	public String getContext_name() {
		return context_name;
	}
	/**
	 * @param context_name 設定する context_name
	 */
	public void setContext_name(String context_name) {
		this.context_name = context_name;
	}
	/**
	 * @return context_type
	 */
	public String getContext_type() {
		return context_type;
	}
	/**
	 * @param context_type 設定する context_type
	 */
	public void setContext_type(String context_type) {
		this.context_type = context_type;
	}
	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return description
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description 設定する description
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return entity_id
	 */
	public long getEntity_id() {
		return entity_id;
	}
	/**
	 * @param entity_id 設定する entity_id
	 */
	public void setEntity_id(long entity_id) {
		this.entity_id = entity_id;
	}
	/**
	 * @return fiscal_year
	 */
	public int getFiscal_year() {
		return fiscal_year;
	}
	/**
	 * @param fiscal_year 設定する fiscal_year
	 */
	public void setFiscal_year(int fiscal_year) {
		this.fiscal_year = fiscal_year;
	}
	/**
	 * @return item_cwa
	 */
	public int getItem_cwa() {
		return item_cwa;
	}
	/**
	 * @param item_cwa 設定する item_cwa
	 */
	public void setItem_cwa(int item_cwa) {
		this.item_cwa = item_cwa;
	}
	/**
	 * @return item_precision
	 */
	public int getItem_precision() {
		return item_precision;
	}
	/**
	 * @param item_precision 設定する item_precision
	 */
	public void setItem_precision(int item_precision) {
		this.item_precision = item_precision;
	}
	/**
	 * @return name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name 設定する name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return period_end_date
	 */
	public String getPeriod_end_date() {
		return period_end_date;
	}
	/**
	 * @param period_end_date 設定する period_end_date
	 */
	public void setPeriod_end_date(String period_end_date) {
		this.period_end_date = period_end_date;
	}
	/**
	 * @return period_start_date
	 */
	public String getPeriod_start_date() {
		return period_start_date;
	}
	/**
	 * @param period_start_date 設定する period_start_date
	 */
	public void setPeriod_start_date(String period_start_date) {
		this.period_start_date = period_start_date;
	}
	/**
	 * @return unit_flag
	 */
	public int getUnit_flag() {
		return unit_flag;
	}
	/**
	 * @param unit_flag 設定する unit_flag
	 */
	public void setUnit_flag(int unit_flag) {
		this.unit_flag = unit_flag;
	}
}